%define	name lxpanel
%define	version 0.3.999
%define	release %mkrel 2
%define	libname %mklibname %{name}
%define	develname %{libname}-devel

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        A lightweight X11 desktop panel
Source0:	%{name}-%{version}.tar.gz
Patch0:		lxpanel-0.3.5.4-default-settings.patch
#Patch1:		lxpanel-0.2.9.0-menu-button-hover-color.patch
Patch2:		lxpanel-0.3.999-fix-str-fmt.patch
Patch3:		lxpanel-0.3.999-use-mandriva-xdg-menu-layout.patch
URL:            http://lxde.sourceforge.net/
Packager:	KDulcimer <kdulcimer@gmail.com>
Group:		Applications/System
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel
BuildRequires:	libxpm-devel
BuildRequires:	libxmu6-devel
BuildRequires:	gettext
BuildRequires:	startup-notification-devel
BuildRequires:	docbook-to-man
BuildRequires:	intltool

Requires:	lxde-common
Requires:	lxmenu-data
Requires:	libmenu-cache

%description
LXPanel is a lightweight X11 desktop panel. It works with any ICCCM / NETWM
compliant window manager (eg sawfish, metacity, xfwm4, kwin, openbox) and features a
tasklist, pager, launchbar, clock, menu and systray.

%package i10n
Summary:    	Internationalisation files for lxpanel
Group:      	Applications/System
Requires:   	%{name}

%description i10n
Internationalisation files for lxpanel

%package -n %develname
Summary:	Development files for lxpanel
Group:		%{group}
Requires:	%{name}

%description -n %develname
Development files for lxpanel

%prep
%setup -q
%patch0 -p1 -b .1
#%patch1 -p1 -b .1
%patch2 -p1 -b .1
%patch3 -p1 -b .1

%build
./configure	--with-plugins=all \
		--prefix=/usr

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}ctl
%{_datadir}/%{name}/images/*
%{_datadir}/%{name}/profile/*
%{_datadir}/%{name}/ui/*
%{_datadir}/man/man1/%{name}.1.bz2
%{_datadir}/man/man1/%{name}ctl.1.bz2
%{_libdir}/%{name}/plugins/*

%files i10n
%defattr(-,root,root)
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%files -n %develname
%defattr(-,root,root)
%{_includedir}/%{name}/plugin.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Feb 07 2009 KDulcimer <kdulcimer@gmail.com> 0.3.999-2tinyme2008
- add and rediff fix-str-fmt and use-mandriva-xdg-menu-layout patches from
  Mandriva

* Mon Jan 26 2009 KDulcimer <kdulcimer@gmail.com> 0.3.999-1tinyme2008
- 0.4 beta 2

* Wed Dec 10 2008 KDulcimer <kdulcimer@gmail.com> 0.3.99-1tinyme2008
- 0.4 beta
- Add in liblxpanel-devel

* Tue Jul 8 2008 KDulcimer <kdulcimer@gmail.com> 0.3.8.1-1tinyme2008
- 0.3.8.1

* Sat Jul 5 2008 KDulcimer <kdulcimer@gmail.com> 0.3.8-1tinyme2008
- 0.3.8

* Thu Jun 12 2008 KDulcimer <kdulcimer@gmail.com> 0.3.7-1tinyme2008
- 0.3.7

* Fri Jun 06 2008 KDulcimer <kdulcimer@gmail.com> 0.3.6.3-1tinyme2008
- 0.3.6.3

* Wed May 14 2008 KDulcimer <kdulcimer@gmail.com> 0.3.5.4-1tinyme2008
- 0.3.5.4
- rework default settings patch

* Sun Apr 20 2008 KDulcimer <kdulcimer@gmail.com> 0.3.5.2-1tinyme2008
- 0.3.5.2
- rework Default Settings patch

* Thu Apr 17 2008 KDulcimer <kdulcimer@gmail.com> 0.3.5-1tinyme2008
- 0.3.5

* Sun Mar 30 2008 KDulcimer <kdulcimer@gmail.com> 0.2.9.0-1tinyme2008
- 0.2.9.0

* Fri Mar 21 2008 KDulcimer <kdulcimer@gmail.com> 0.2.8.2-1tinyme2008
- 0.2.8.2

* Sun Mar 19 2008 KDulcimer <kdulcimer@gmail.com> 0.2.8-1tinyme2008
- 0.2.8

* Sun Mar 09 2008 KDulcimer <kdulcimer@gmail.com> 0.2.7.2-1tinyme2008
- 0.2.7.2

* Tue Feb 26 2008 KDulcimer <kdulcimer@gmail.com> 0.2.6-2tinyme2008
- add lxpanel-default-settings patch

* Mon Feb 25 2008 KDulcimer <kdulcimer@gmail.com> 0.2.6-1tinyme2008
- 0.2.6

* Sat Feb 23 2008 KDulcimer <kdulcimer@gmail.com> 0.2.5.2-1tinyme2008
- 0.2.5.2

* Thu Feb 14 2008 KDulcimer <kdulcimer@gmail.com> 0.2.4-5
- add volume plugin patch
- add panel and clock fixes patch

* Sat Jun 16 2007 Gettinther <gettinther@gmail.com>
- add menu patch and fix default icons

* Wed May 23 2007 Gettinther <gettinther@gmail.com>
- initial release
